commit a81eb577eec2ce0e46e202151dc56391e04eeb14
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Nov 9 11:31:18 2021

    libstdc++: Make spurious std::random_device FAIL less likely
    
    It's possible that independent reads from /dev/random and /dev/urandom
    could produce the same value by chance. Retry if that happens. The
    chances of it happening twice are miniscule.
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/26_numerics/random/random_device/cons/token.cc:
            Retry if random devices produce the same value.
    
    (cherry picked from commit 8d2d0a6c4391e462555db6d33b2cc00f3da0932f)

diff --git a/libstdc++-v3/testsuite/26_numerics/random/random_device/cons/token.cc b/libstdc++-v3/testsuite/26_numerics/random/random_device/cons/token.cc
index aeb7403e830..a351f57b236 100644
--- a/libstdc++-v3/testsuite/26_numerics/random/random_device/cons/token.cc
+++ b/libstdc++-v3/testsuite/26_numerics/random/random_device/cons/token.cc
@@ -42,7 +42,7 @@ test02()
 #ifdef _GLIBCXX_USE_DEV_RANDOM
   std::random_device x1("/dev/urandom");
   std::random_device x2("/dev/random");
-  VERIFY( x1() != x2() );
+  VERIFY( x1() != x2() || x1() != x2() );
 #endif
 }
 

